##set the state of the game to started

scoreboard players set .battle_started general 1

##transition to black

title @a[tag=battle,tag=inlobby] times 20 20 0
title @a[tag=battle,tag=inlobby] title {"text":"\uE002"}
title @a[tag=battle,tag=inlobby] subtitle {"text":" "}

##add the starting tags

tag @a[tag=battle,tag=inlobby] add starting

##clear the inventory of the players

clear @a[tag=battle,tag=inlobby]

##remove all inlobby tags

tag @a[tag=battle,tag=inlobby] remove ready
tag @a[tag=battle,tag=inlobby] remove inlobby
tag @a[tag=battle] remove battle

##remove the bossbars

function tmls:functions/lobby/setlobbyid
bossbar set minecraft:playercounter players
bossbar set minecraft:starting_timer players
bossbar set minecraft:map_settings players
bossbar set minecraft:starting_timer name {"text":" "}

##set the team and id

function tmls:functions/matchmaking/setid
function tmls:functions/matchmaking/setup/weapon

team leave @a[tag=starting]


execute if score .battle_mode general matches 1 run function tmls:functions/matchmaking/modes/ffa/setteam
execute if score .battle_mode general matches 2 run function tmls:functions/matchmaking/modes/team_battle/setteam
execute if score .battle_mode general matches 3 run function tmls:functions/matchmaking/modes/ffa/setteam
execute if score .battle_mode general matches 4 run function tmls:functions/matchmaking/modes/team_battle/setteam
execute if score .battle_mode general matches 5 run function tmls:functions/matchmaking/modes/undead_geese/setteam
execute if score .battle_mode general matches 6 run function tmls:functions/matchmaking/modes/protect_the_statue/setteam
execute if score .battle_mode general matches 7 run function tmls:functions/matchmaking/modes/training/setteam

##stop the music

execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/stop/music1
execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/stop/music2


##setup the timer

scoreboard players set .battle_ctf_timer general 0
scoreboard players set .battle_ctf_seconds general 0
scoreboard players set .battle_ctf_minutes general 10



execute if score .battle_mode general matches 6 run scoreboard players set .battle_map general 7
#execute if score .battle_mode general matches 7 run scoreboard players set .battle_map general 6